aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorGravatar commit-bot@chromium.org <commit-bot@chromium.org@2bbb7eff-a529-9590-31e7-b0007b416f81>2014-04-03 15:08:49 +0000
committerGravatar commit-bot@chromium.org <commit-bot@chromium.org@2bbb7eff-a529-9590-31e7-b0007b416f81>2014-04-03 15:08:49 +0000
commitc13fae6d49c055b74f80e733c0e4b0528b89d690 (patch)
treeb5ec18019cdf415a949ea784995432c4d1f4357d
parentaa64fbfd349789f27b3cc35c1968d9dc0612cf8e (diff)
android_make now exactly the same as android_ninja
BUG=skia:2382 NOTREECHECKS=True NOTRY=True R=djsollen@google.com, mtklein@google.com Author: epoger@google.com Review URL: https://codereview.chromium.org/223943002 git-svn-id: http://skia.googlecode.com/svn/trunk@14045 2bbb7eff-a529-9590-31e7-b0007b416f81
-rwxr-xr-xplatform_tools/android/bin/android_make21
1 files changed, 10 insertions, 11 deletions
diff --git a/platform_tools/android/bin/android_make b/platform_tools/android/bin/android_make
index a5f5268931..a465a43b0a 100755
--- a/platform_tools/android/bin/android_make
+++ b/platform_tools/android/bin/android_make
@@ -1,8 +1,5 @@
#!/bin/bash
-# Fail-fast if anything in the script fails.
-set -e
-
# Remove any existing .android_config file before running android_setup. If we
# did not remove this now then we would build for whatever device type was
# listed in the .android_config instead of the default device type.
@@ -11,14 +8,16 @@ rm -f .android_config
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
source $SCRIPT_DIR/android_setup.sh
-if [ $(basename $0) = "android_make" ]; then
- GYP_GENERATORS=make-android make ${APP_ARGS[@]}
-else
- GYP_GENERATORS=ninja-android ./gyp_skia
- OUT=$SKIA_OUT/${BUILDTYPE-Debug} # Defaults to Debug if BUILDTYPE isn't set.
- ninja -C $OUT ${APP_ARGS[@]}
- ln -sf lib $OUT/lib.target # android_run_skia looks in lib.target; ninja writes to lib.
-fi
+# Fail-fast if anything in the script fails.
+# Don't do this until "source android_setup.sh" is done; see
+# https://codereview.chromium.org/223943002 for discussion.
+set -e
+
+GYP_GENERATORS=ninja-android ./gyp_skia
+OUT=$SKIA_OUT/${BUILDTYPE-Debug} # Defaults to Debug if BUILDTYPE isn't set.
+ninja -C $OUT ${APP_ARGS[@]}
+ln -sf lib $OUT/lib.target # android_run_skia looks in lib.target; ninja writes to lib.
+ # TODO(mtklein): change android_run_skia
# Write the device id into the .android_config file. This tells
# android_run_skia the last build we completed.